import type { BaseHttpRequest } from './core/BaseHttpRequest';
import type { OpenAPIConfig } from './core/OpenAPI';
import { AttachmentsService } from './services/AttachmentsService';
import { AuditLogApiService } from './services/AuditLogApiService';
import { BatchApiService } from './services/BatchApiService';
import { CustomFieldsService } from './services/CustomFieldsService';
import { CustomFieldSettingsService } from './services/CustomFieldSettingsService';
import { EventsService } from './services/EventsService';
import { GoalRelationshipsService } from './services/GoalRelationshipsService';
import { GoalsService } from './services/GoalsService';
import { JobsService } from './services/JobsService';
import { OrganizationExportsService } from './services/OrganizationExportsService';
import { PortfolioMembershipsService } from './services/PortfolioMembershipsService';
import { PortfoliosService } from './services/PortfoliosService';
import { ProjectBriefsService } from './services/ProjectBriefsService';
import { ProjectMembershipsService } from './services/ProjectMembershipsService';
import { ProjectsService } from './services/ProjectsService';
import { ProjectStatusesService } from './services/ProjectStatusesService';
import { ProjectTemplatesService } from './services/ProjectTemplatesService';
import { SectionsService } from './services/SectionsService';
import { StatusUpdatesService } from './services/StatusUpdatesService';
import { StoriesService } from './services/StoriesService';
import { TagsService } from './services/TagsService';
import { TasksService } from './services/TasksService';
import { TeamMembershipsService } from './services/TeamMembershipsService';
import { TeamsService } from './services/TeamsService';
import { TimePeriodsService } from './services/TimePeriodsService';
import { TypeaheadService } from './services/TypeaheadService';
import { UsersService } from './services/UsersService';
import { UserTaskListsService } from './services/UserTaskListsService';
import { WebhooksService } from './services/WebhooksService';
import { WorkspaceMembershipsService } from './services/WorkspaceMembershipsService';
import { WorkspacesService } from './services/WorkspacesService';
declare type HttpRequestConstructor = new (config: OpenAPIConfig) => BaseHttpRequest;
export declare class AsanaApi {
    readonly attachments: AttachmentsService;
    readonly auditLogApi: AuditLogApiService;
    readonly batchApi: BatchApiService;
    readonly customFields: CustomFieldsService;
    readonly customFieldSettings: CustomFieldSettingsService;
    readonly events: EventsService;
    readonly goalRelationships: GoalRelationshipsService;
    readonly goals: GoalsService;
    readonly jobs: JobsService;
    readonly organizationExports: OrganizationExportsService;
    readonly portfolioMemberships: PortfolioMembershipsService;
    readonly portfolios: PortfoliosService;
    readonly projectBriefs: ProjectBriefsService;
    readonly projectMemberships: ProjectMembershipsService;
    readonly projects: ProjectsService;
    readonly projectStatuses: ProjectStatusesService;
    readonly projectTemplates: ProjectTemplatesService;
    readonly sections: SectionsService;
    readonly statusUpdates: StatusUpdatesService;
    readonly stories: StoriesService;
    readonly tags: TagsService;
    readonly tasks: TasksService;
    readonly teamMemberships: TeamMembershipsService;
    readonly teams: TeamsService;
    readonly timePeriods: TimePeriodsService;
    readonly typeahead: TypeaheadService;
    readonly users: UsersService;
    readonly userTaskLists: UserTaskListsService;
    readonly webhooks: WebhooksService;
    readonly workspaceMemberships: WorkspaceMembershipsService;
    readonly workspaces: WorkspacesService;
    readonly request: BaseHttpRequest;
    constructor(config?: Partial<OpenAPIConfig>, HttpRequest?: HttpRequestConstructor);
}
export {};
