"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsanaApi = void 0;
const NodeHttpRequest_1 = require("./core/NodeHttpRequest");
const AttachmentsService_1 = require("./services/AttachmentsService");
const AuditLogApiService_1 = require("./services/AuditLogApiService");
const BatchApiService_1 = require("./services/BatchApiService");
const CustomFieldsService_1 = require("./services/CustomFieldsService");
const CustomFieldSettingsService_1 = require("./services/CustomFieldSettingsService");
const EventsService_1 = require("./services/EventsService");
const GoalRelationshipsService_1 = require("./services/GoalRelationshipsService");
const GoalsService_1 = require("./services/GoalsService");
const JobsService_1 = require("./services/JobsService");
const OrganizationExportsService_1 = require("./services/OrganizationExportsService");
const PortfolioMembershipsService_1 = require("./services/PortfolioMembershipsService");
const PortfoliosService_1 = require("./services/PortfoliosService");
const ProjectBriefsService_1 = require("./services/ProjectBriefsService");
const ProjectMembershipsService_1 = require("./services/ProjectMembershipsService");
const ProjectsService_1 = require("./services/ProjectsService");
const ProjectStatusesService_1 = require("./services/ProjectStatusesService");
const ProjectTemplatesService_1 = require("./services/ProjectTemplatesService");
const SectionsService_1 = require("./services/SectionsService");
const StatusUpdatesService_1 = require("./services/StatusUpdatesService");
const StoriesService_1 = require("./services/StoriesService");
const TagsService_1 = require("./services/TagsService");
const TasksService_1 = require("./services/TasksService");
const TeamMembershipsService_1 = require("./services/TeamMembershipsService");
const TeamsService_1 = require("./services/TeamsService");
const TimePeriodsService_1 = require("./services/TimePeriodsService");
const TypeaheadService_1 = require("./services/TypeaheadService");
const UsersService_1 = require("./services/UsersService");
const UserTaskListsService_1 = require("./services/UserTaskListsService");
const WebhooksService_1 = require("./services/WebhooksService");
const WorkspaceMembershipsService_1 = require("./services/WorkspaceMembershipsService");
const WorkspacesService_1 = require("./services/WorkspacesService");
class AsanaApi {
    constructor(config, HttpRequest = NodeHttpRequest_1.NodeHttpRequest) {
        var _a, _b, _c, _d;
        this.request = new HttpRequest({
            BASE: (_a = config === null || config === void 0 ? void 0 : config.BASE) !== null && _a !== void 0 ? _a : 'https://app.asana.com/api/1.0',
            VERSION: (_b = config === null || config === void 0 ? void 0 : config.VERSION) !== null && _b !== void 0 ? _b : '1.0',
            WITH_CREDENTIALS: (_c = config === null || config === void 0 ? void 0 : config.WITH_CREDENTIALS) !== null && _c !== void 0 ? _c : false,
            CREDENTIALS: (_d = config === null || config === void 0 ? void 0 : config.CREDENTIALS) !== null && _d !== void 0 ? _d : 'include',
            TOKEN: config === null || config === void 0 ? void 0 : config.TOKEN,
            USERNAME: config === null || config === void 0 ? void 0 : config.USERNAME,
            PASSWORD: config === null || config === void 0 ? void 0 : config.PASSWORD,
            HEADERS: config === null || config === void 0 ? void 0 : config.HEADERS,
            ENCODE_PATH: config === null || config === void 0 ? void 0 : config.ENCODE_PATH,
        });
        this.attachments = new AttachmentsService_1.AttachmentsService(this.request);
        this.auditLogApi = new AuditLogApiService_1.AuditLogApiService(this.request);
        this.batchApi = new BatchApiService_1.BatchApiService(this.request);
        this.customFields = new CustomFieldsService_1.CustomFieldsService(this.request);
        this.customFieldSettings = new CustomFieldSettingsService_1.CustomFieldSettingsService(this.request);
        this.events = new EventsService_1.EventsService(this.request);
        this.goalRelationships = new GoalRelationshipsService_1.GoalRelationshipsService(this.request);
        this.goals = new GoalsService_1.GoalsService(this.request);
        this.jobs = new JobsService_1.JobsService(this.request);
        this.organizationExports = new OrganizationExportsService_1.OrganizationExportsService(this.request);
        this.portfolioMemberships = new PortfolioMembershipsService_1.PortfolioMembershipsService(this.request);
        this.portfolios = new PortfoliosService_1.PortfoliosService(this.request);
        this.projectBriefs = new ProjectBriefsService_1.ProjectBriefsService(this.request);
        this.projectMemberships = new ProjectMembershipsService_1.ProjectMembershipsService(this.request);
        this.projects = new ProjectsService_1.ProjectsService(this.request);
        this.projectStatuses = new ProjectStatusesService_1.ProjectStatusesService(this.request);
        this.projectTemplates = new ProjectTemplatesService_1.ProjectTemplatesService(this.request);
        this.sections = new SectionsService_1.SectionsService(this.request);
        this.statusUpdates = new StatusUpdatesService_1.StatusUpdatesService(this.request);
        this.stories = new StoriesService_1.StoriesService(this.request);
        this.tags = new TagsService_1.TagsService(this.request);
        this.tasks = new TasksService_1.TasksService(this.request);
        this.teamMemberships = new TeamMembershipsService_1.TeamMembershipsService(this.request);
        this.teams = new TeamsService_1.TeamsService(this.request);
        this.timePeriods = new TimePeriodsService_1.TimePeriodsService(this.request);
        this.typeahead = new TypeaheadService_1.TypeaheadService(this.request);
        this.users = new UsersService_1.UsersService(this.request);
        this.userTaskLists = new UserTaskListsService_1.UserTaskListsService(this.request);
        this.webhooks = new WebhooksService_1.WebhooksService(this.request);
        this.workspaceMemberships = new WorkspaceMembershipsService_1.WorkspaceMembershipsService(this.request);
        this.workspaces = new WorkspacesService_1.WorkspacesService(this.request);
    }
}
exports.AsanaApi = AsanaApi;
