"use strict";
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoalMetricBase = void 0;
var GoalMetricBase;
(function (GoalMetricBase) {
    /**
     * The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
     */
    let resource_subtype;
    (function (resource_subtype) {
        resource_subtype["NUMBER"] = "number";
    })(resource_subtype = GoalMetricBase.resource_subtype || (GoalMetricBase.resource_subtype = {}));
    /**
     * A supported unit of measure for the goal metric, or none.
     */
    let unit;
    (function (unit) {
        unit["NONE"] = "none";
        unit["CURRENCY"] = "currency";
        unit["PERCENTAGE"] = "percentage";
    })(unit = GoalMetricBase.unit || (GoalMetricBase.unit = {}));
    /**
     * This field defines how the progress value of a goal metric is being calculated. A goal's progress can be provided manually by the user, or calculated automatically from contributing subgoals or projects.
     */
    let progress_source;
    (function (progress_source) {
        progress_source["MANUAL"] = "manual";
        progress_source["SUBGOAL_PROGRESS"] = "subgoal_progress";
        progress_source["PROJECT_TASK_COMPLETION"] = "project_task_completion";
        progress_source["PROJECT_MILESTONE_COMPLETION"] = "project_milestone_completion";
    })(progress_source = GoalMetricBase.progress_source || (GoalMetricBase.progress_source = {}));
})(GoalMetricBase = exports.GoalMetricBase || (exports.GoalMetricBase = {}));
